//
//  CWLoactionConversions.h
//  ResaISkane
//
//  Created by Fredrik Olsson on 2010-02-05.
//  Copyright 2010 Fredrik Olsson. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>


//! Location Coordinate Systems
typedef enum {
  CWLocationCoordinateSystemWGS84 = 0,  //! World Geodetic System, location coordinate system used by Core Location.
  CWLocationCoordinateSystemRT90 = 1    //! Swedish Grid, location coordinate system used for government Swedish maps. 
} CWLocationCoordinateSystem;

//! Projections for the RT90 coordinate system.
typedef enum {
  CWLocationCoordinateSystemParamRT90_7_5_gon_v,  //! Westmost of sweden
  CWLocationCoordinateSystemParamRT90_5_0_gon_v,
  CWLocationCoordinateSystemParamRT90_2_5_gon_v,
  CWLocationCoordinateSystemParamRT90_0_0_gon_v,  //! Central sweden
  CWLocationCoordinateSystemParamRT90_2_5_gon_o,
  CWLocationCoordinateSystemParamRT90_5_0_gon_o   //! Eastmost Sweden
} CWLocationCoordinateSystemParamRT90;

CLLocationCoordinate2D CWLocationConert(CLLocationCoordinate2D location, CWLocationCoordinateSystem from, CWLocationCoordinateSystem to, int param);